Table of Contents

## Name

vesa - Generic VESA video driver

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "vesa"
      ...
    EndSection

## Description

vesa is an XFree86 driver for generic VESA video cards. It can drive most VESA-compatible video cards, but only makes use of the basic standard VESA core that is common to these cards. The driver supports depths 8, 15 16 and 24.

## Supported Hardware

The vesa driver supports most VESA-compatible video cards. There are some known exceptions, and those should be listed here.

## Configuration Details

Please refer to XF86Config(5) for general configuration details. This section only covers configuration details specific to this driver.

The driver auto-detects the presence of VESA-compatible hardware. The ChipSet name may optionally be specified in the config file "Device" section, and will override the auto-detection:

"vesa"

The following driver Options are supported:

Option "ShadowFB" "boolean"
  Enable or disable use of the shadow framebuffer layer. Default: on.

  This option is recommended for performance reasons.

Option "VBEBigEndian" "boolean"
  This Option is only acted upon on big-endian systems. Normally, the driver will disallow colour depths and framebuffer bpp's that cannot be supported through simple byte-swapping of pixels. This option exists to override this behaviour should the adapter's BIOS be intelligent enough to detect host endianness.

## See Also

XFree86(1) , XF86Config(5) , xf86cfg(1) , xf86config(1) , Xserver(1) , X(7)

## Authors

Authors include: Paulo C'esar Pereira de Andrade.

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- See Also
- Authors